Draft WireToBSpline/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Docnav/pl |Rozbij kształt |Rysunek roboczy do szkicu |środowisko pracy Rysunek Roboczy |IconL=Draft_Downgrade.svg |IconR=Draft_Draft2Sketch.svg |IconC=Workbench_Draft.svg }}")
(Created page with "{{GuiCommand/pl |Name=Draft WireToBSpline |Name/pl=Rysunek Roboczy: Polilinia na krzywą złożoną |MenuLocation=Modyfikacja → Polilinia na krzywą złożoną |Workbenches=Rysunek Roboczy, Architektura |SeeAlso=Polilinia, Krzywa złożona }}")
Line 10: Line 10:
}}
}}


{{GuiCommand
{{GuiCommand/pl
|Name=Draft WireToBSpline
|Name=Draft WireToBSpline
|Name/pl=Rysunek Roboczy: Polilinia na krzywą złożoną
|MenuLocation=Modification → Wire to B-spline
|MenuLocation=Modyfikacja → Polilinia na krzywą złożoną
|Workbenches=[[Draft_Workbench|Draft]], [[Arch_Workbench|Arch]]
|Workbenches=[[Draft_Workbench/pl|Rysunek Roboczy]], [[Arch_Workbench/pl|Architektura]]
|SeeAlso=[[Draft_Wire|Draft Wire]], [[Draft_BSpline|Draft BSpline]]
|SeeAlso=[[Draft_Wire/pl|Polilinia]], [[Draft_BSpline/pl|Krzywa złożona]]
}}
}}



Revision as of 09:23, 3 December 2023

Rysunek Roboczy: Polilinia na krzywą złożoną

Lokalizacja w menu
Modyfikacja → Polilinia na krzywą złożoną
Środowisko pracy
Rysunek Roboczy, Architektura
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Polilinia, Krzywa złożona

Description

The Draft WireToBSpline command converts Draft Wires to Draft BSplines and vice versa.

Converting a Draft Wire to a Draft BSpline, and a closed Draft BSpline to a closed Draft Wire

Usage

  1. Select a Draft Wire or a Draft BSpline.
  2. There are several ways to invoke the command:
    • Press the Draft WireToBSpline button.
    • Select the Modification → Wire to B-spline option from the menu.
  3. A new object is created.

Notes

  • The command may result in a closed, self-intersecting Draft Wire or Draft BSpline with a face. Such an object will not display properly in the 3D view. Its DANEMake Face property, or its DANEClosed property, must be set to false.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To convert a wire to a bspline, or vice versa, pass the Points property of the source object to the make_bspline method, or respectively the make_wire method, of the Draft module.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(1000, 1000, 0)
p2 = App.Vector(2000, 1000, 0)
p3 = App.Vector(2500, -1000, 0)
p4 = App.Vector(3500, -500, 0)

base_wire = Draft.make_wire([p1, p2, p3, p4])
base_spline = Draft.make_bspline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points1 = base_wire.Points
spline_from_wire = Draft.make_bspline(points1)

points2 = base_spline.Points
wire_from_spline = Draft.make_wire(points2)

doc.recompute()